/* Botón Success personalizado */
/*.btn-confirmacion-synov {
    color: #052d5b !important;
    background-color: rgba(5, 45, 91, 0.25) !important;
    border-color: #052d5b  !important;
}


.btn-confirmacion-synov:hover,
.btn-confirmacion-synov:focus {
    background-color: rgba(5, 45, 91, 0.35) !important;
}

.btn-confirmacion-synov.active,
.btn-confirmacion-synov:active {
    background-color: rgba(5, 45, 91, 0.35) !important;
}*/


.btn-chat-synov, 
.btn-login-synov {
    --bs-btn-color: #EEF4FF;
    --bs-btn-bg: #022050;
    --bs-btn-border-color: #022050;
    --bs-btn-hover-color: #EEF4FF;
    --bs-btn-hover-bg: #2d456b;
    --bs-btn-hover-border-color: #2d456b;
    --bs-btn-focus-shadow-rgb: 49, 132, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #0a58ca;
    --bs-btn-active-border-color: #2d456b;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #2d456b;
    --bs-btn-disabled-border-color: #2d456b;
  }

/* Botón Continuar personalizado */
.btn-volver-synov ,
.btn-cancelacion-synov ,
.btn-confirmacion-synov ,
.btn-continuar-synov {
    color: #2258CF !important;
    background-color: #F7F8F9 !important;
    border-color: #2258CF !important;
}

/* Hover y Focus */
.btn-volver-synov:hover,
.btn-volver-synov:focus,
.btn-cancelacion-synov:hover,
.btn-cancelacion-synov:focus,
.btn-confirmacion-synov:hover,
.btn-confirmacion-synov:focus,
.btn-continuar-synov:hover,
.btn-continuar-synov:focus {
    color: #0C59CF !important;
    background-color: #EBEBEB !important;
    border-color: #2258CF !important;
}

/* Active/Selected */
.btn-volver-synov.active,
.btn-volver-synov:active,
.btn-cancelacion-synov.active,
.btn-cancelacion-synov:active,
.btn-confirmacion-synov.active,
.btn-confirmacion-synov:active,
.btn-continuar-synov.active,
.btn-continuar-synov:active {
    color: #0C59CF !important;
    background-color: #D4E3FC !important;
    border-color: #2258CF !important;
}



/* Boton primary personalizado */
.btn-accion-secundaria-synov {
    color: #00C8F8 !important;
    background-color: #F7F8F9 !important;
    border-color: #37A4D3 !important;
}   

.btn-accion-secundaria-synov i {
    color: #4DD7FA !important;
}

/* Hover y Focus */
.btn-accion-secundaria-synov:hover,
.btn-accion-secundaria-synov:focus {
    color: #00A4D3 !important;
    background-color: #C9F1FD !important;
    border-color: #37A4D3 !important;
}

.btn-accion-secundaria-synov:hover i,
.btn-accion-secundaria-synov:focus i {
    color: #4DD7FA !important;
}

/* Active/Selected */
.btn-accion-secundaria-synov.active,
.btn-accion-secundaria-synov:active {
    color: #00A4D3 !important;
    background-color: #C9F1FD !important;
    border-color: #37A4D3 !important;
}   


.btn-accion-secundaria-synov.active i,
.btn-accion-secundaria-synov:active i {
    color: #00A4D3 !important;
}   



/*Boton reservado para las acciones de las tablas*/

.btn-accion-synov {
    color: #2258CF !important;
    background-color: #F7F8F9 !important;
    border-color: #2258CF !important;
}

.btn-accion-synov i {
    color: #0C59CF !important;
}   

.btn-accion-synov:hover,
.btn-accion-synov:focus {
    color: #3D8AF7 !important;
    background-color: #D4E3FC !important;
    border-color: #3D8AF7 !important;
}   

.btn-accion-synov:hover i,
.btn-accion-synov:focus i {
    color: #3D8AF7 !important;
}

.btn-accion-synov.active,
.btn-accion-synov:active {
    color: #3D8AF7 !important;
    background-color: #D4E3FC !important;
    border-color: #3D8AF7 !important;
}

.btn-accion-synov.active i,
.btn-accion-synov:active i {
    color: #3D8AF7 !important;
}   


.btn-accion-secundaria-synov:disabled,
.btn-accion-secundaria-synov.disabled,
.btn-accion-synov:disabled,
.btn-accion-synov.disabled,
.btn-disabled-synov:disabled,
.btn-disabled-synov.disabled {
    color: #929292 !important;
    background-color: #F7F8F9 !important;
    border-color: #DEE2E6 !important;
}

.btn-accion-secundaria-synov:disabled i,
.btn-accion-secundaria-synov.disabled i,
.btn-accion-synov:disabled i,
.btn-accion-synov.disabled i {
    color: #929292 !important;
}

.btn-disabled-synov.active i,
.btn-disabled-synov:active i {
    color: #606060 !important;
}   

.btn-accion-cancelar {
    color: #B70F0A !important;
    background-color: #F7F6F6 !important;
    border-color: #B70F0A !important;
}

.btn-accion-cancelar i {
    color: #B70F0A !important;
}   

.btn-accion-cancelar:hover,
.btn-accion-cancelar:focus {
    color: #B70F0A !important;
    background-color: #FAD2E0 !important;
    border-color: #B70F0A !important;
}   

.btn-accion-cancelar:hover i,
.btn-accion-cancelar:focus i {
    color: #B70F0A !important;
}

.btn-accion-cancelar.active,
.btn-accion-cancelar:active {
    color: #B70F0A !important;
    background-color: #FAD2E0 !important;
    border-color: #B70F0A !important;
}

.btn-accion-cancelar.active i,
.btn-accion-cancelar:active i {
    color: #B70F0A !important;
}   

.btn-accion-cancelar:disabled,
.btn-accion-cancelar.disabled,
.btn-accion-cancelar:disabled i,
.btn-accion-cancelar.disabled i {
    color: #D6D6D6 !important;
    background-color: #F7F8F9 !important;
    border-color: #EEEEEE !important;
}
